For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)

Update a receivable

PATCH
/receivables/:receivable_id
PATCH
/v1/receivables/:receivable_id
$curl -X PATCH https://api.sandbox.monite.com/v1/receivables/receivable_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "quote": {}
>}'
1{
2 "type": "quote",
3 "counterpart_id": "counterpart_id",
4 "counterpart_type": "individual",
5 "created_at": "2024-01-15T09:30:00Z",
6 "currency": "AED",
7 "entity": {
8 "type": "organization",
9 "name": "name",
10 "email": "email",
11 "logo": "logo",
12 "phone": "phone",
13 "registration_authority": "registration_authority",
14 "registration_number": "registration_number",
15 "tax_id": "tax_id",
16 "vat_id": "vat_id",
17 "website": "website"
18 },
19 "entity_address": {
20 "city": "city",
21 "line1": "line1",
22 "postal_code": "postal_code",
23 "country": "AF",
24 "line2": "line2",
25 "state": "state"
26 },
27 "file_language": "ab",
28 "id": "id",
29 "line_items": [
30 {
31 "product": {
32 "id": "id",
33 "created_at": "2024-01-15T09:30:00Z",
34 "updated_at": "2024-01-15T09:30:00Z",
35 "entity_id": "entity_id",
36 "name": "name",
37 "price": {
38 "currency": "AED",
39 "value": 1
40 },
41 "price_after_vat": {
42 "currency": "AED",
43 "value": 1
44 },
45 "vat_rate": {
46 "country": "AF",
47 "value": 1,
48 "id": "id",
49 "components": [
50 {
51 "name": "name",
52 "value": 1.1
53 }
54 ],
55 "is_custom": true,
56 "name": "name"
57 },
58 "accounting_tax_rate_id": "accounting_tax_rate_id",
59 "description": "description",
60 "entity_user_id": "entity_user_id",
61 "external_reference": "HT-1234-S-BL",
62 "is_inline": true,
63 "ledger_account_id": "ledger_account_id",
64 "measure_unit": {
65 "created_at": "2024-01-15T09:30:00Z",
66 "updated_at": "2024-01-15T09:30:00Z",
67 "name": "name",
68 "id": "id",
69 "description": "description"
70 },
71 "measure_unit_id": "measure_unit_id",
72 "smallest_amount": 1.1,
73 "type": "product"
74 },
75 "quantity": 1.1,
76 "total_after_vat": 1,
77 "total_before_vat": 1,
78 "discount": {
79 "amount": 1,
80 "type": "amount"
81 },
82 "tax_status": "taxable"
83 }
84 ],
85 "original_file_language": "ab",
86 "status": "draft",
87 "total_vat_amount": 1,
88 "updated_at": "2024-01-15T09:30:00Z",
89 "attachments": [
90 {
91 "id": "id",
92 "mimetype": "mimetype",
93 "name": "name",
94 "size": 1,
95 "url": "url",
96 "include_in_email": true
97 }
98 ],
99 "based_on": "based_on",
100 "based_on_document_id": "based_on_document_id",
101 "comment": "comment",
102 "commercial_condition_description": "commercial_condition_description",
103 "counterpart_billing_address": {
104 "city": "Berlin",
105 "country": "AF",
106 "line1": "Flughafenstrasse 52",
107 "postal_code": "10115",
108 "id": "id",
109 "line2": "line2",
110 "state": "state"
111 },
112 "counterpart_business_type": "counterpart_business_type",
113 "counterpart_contact": {
114 "address": {
115 "city": "Berlin",
116 "country": "AF",
117 "line1": "Flughafenstrasse 52",
118 "postal_code": "10115",
119 "id": "id",
120 "line2": "line2",
121 "state": "state"
122 },
123 "first_name": "Marge",
124 "last_name": "Smith",
125 "email": "marge@example.org",
126 "phone": "55512378654",
127 "title": "Dr."
128 },
129 "counterpart_external_reference": "counterpart_external_reference",
130 "counterpart_name": "counterpart_name",
131 "counterpart_shipping_address": {
132 "city": "Berlin",
133 "country": "AF",
134 "line1": "Flughafenstrasse 52",
135 "postal_code": "10115",
136 "id": "id",
137 "line2": "line2",
138 "state": "state"
139 },
140 "counterpart_tax_id": "counterpart_tax_id",
141 "counterpart_vat_id": {
142 "id": "id",
143 "counterpart_id": "counterpart_id",
144 "value": "123456789",
145 "country": "AF",
146 "type": "ae_trn"
147 },
148 "deductions": [
149 {
150 "amount": 1,
151 "name": "name",
152 "memo": "memo"
153 }
154 ],
155 "discount": {
156 "amount": 1,
157 "type": "amount",
158 "value": 1
159 },
160 "discounted_subtotal": 1,
161 "document_id": "document_id",
162 "document_rendering": {
163 "credit_note": {
164 "display_entity_bank_account": true
165 },
166 "display_entity_bank_account": true,
167 "display_line_items": true,
168 "invoice": {
169 "display_entity_bank_account": true
170 },
171 "line_items": {
172 "discount": {
173 "display": true,
174 "label": "label"
175 },
176 "measure_unit": {
177 "display": true,
178 "label": "label"
179 },
180 "name": {
181 "display": true,
182 "label": "label"
183 },
184 "price": {
185 "display": true,
186 "label": "label",
187 "precision": 1
188 },
189 "price_after_vat": {
190 "display": true,
191 "label": "label",
192 "precision": 1
193 },
194 "quantity": {
195 "display": true,
196 "label": "label"
197 },
198 "total_price": {
199 "display": true,
200 "label": "label",
201 "precision": 1
202 },
203 "total_price_after_vat": {
204 "display": true,
205 "label": "label",
206 "precision": 1
207 },
208 "vat_amount": {
209 "display": true,
210 "label": "label",
211 "precision": 1
212 },
213 "vat_rate": {
214 "display": true,
215 "label": "label",
216 "precision": 1
217 }
218 },
219 "quote": {
220 "display_entity_bank_account": true,
221 "display_signature": true
222 }
223 },
224 "due_date": "due_date",
225 "einvoice_file_url": "einvoice_file_url",
226 "entity_bank_account": {
227 "id": "id",
228 "account_holder_name": "account_holder_name",
229 "account_number": "account_number",
230 "bank_name": "bank_name",
231 "bic": "bic",
232 "iban": "iban",
233 "routing_number": "routing_number",
234 "sort_code": "sort_code"
235 },
236 "entity_user_id": "entity_user_id",
237 "entity_vat_id": {
238 "id": "id",
239 "country": "AF",
240 "entity_id": "entity_id",
241 "value": "123456789",
242 "type": "ae_trn"
243 },
244 "expiry_date": "expiry_date",
245 "file": {
246 "id": "id",
247 "created_at": "2024-01-15T09:30:00Z",
248 "file_type": "payables",
249 "md5": "31d1a2dd1ad3dfc39be849d70a68dac0",
250 "mimetype": "application/pdf",
251 "name": "invoice.pdf",
252 "region": "eu-central-1",
253 "size": 24381,
254 "url": "https://bucketname.s3.amazonaws.com/12345/67890.pdf",
255 "pages": [
256 {
257 "id": "id",
258 "mimetype": "image/png",
259 "number": 0,
260 "size": 21972,
261 "url": "https://bucket.s3.amazonaws.com/123/456.png"
262 }
263 ],
264 "previews": [
265 {
266 "height": 400,
267 "url": "https://bucketname.s3.amazonaws.com/1/2/3.png",
268 "width": 200
269 }
270 ]
271 },
272 "file_url": "file_url",
273 "footer": "footer",
274 "issue_date": "2024-01-15T09:30:00Z",
275 "memo": "memo",
276 "original_file_url": "original_file_url",
277 "partner_metadata": {
278 "key": "value"
279 },
280 "project_id": "project_id",
281 "quote_accept_page_url": "quote_accept_page_url",
282 "signature_required": true,
283 "subtotal": 1,
284 "subtotal_after_vat": 1,
285 "tags": [
286 {
287 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
288 "created_at": "2022-09-07T16:35:18Z",
289 "updated_at": "2022-09-07T16:35:18Z",
290 "name": "Marketing",
291 "category": "document_type",
292 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
293 "description": "Tag for the Marketing Department"
294 }
295 ],
296 "total_amount": 1,
297 "total_deduction_amount": 1,
298 "total_vat_amounts": [
299 {
300 "amount": 1,
301 "taxable_amount": 1,
302 "value": 1,
303 "id": "id",
304 "components": [
305 {
306 "amount": 1,
307 "name": "name",
308 "value": 1.1
309 }
310 ],
311 "name": "name"
312 }
313 ],
314 "total_withholding_tax": 1,
315 "trade_name": "trade_name",
316 "vat_exempt": true,
317 "vat_exemption_rationale": "vat_exemption_rationale",
318 "vat_inclusive_discount_mode": "exclusive",
319 "vat_mode": "exclusive",
320 "withholding_tax_rate": 1,
321 "deduction_amount": 1,
322 "deduction_memo": "deduction_memo"
323}
Was this page helpful?
Previous

Update the line items of a receivable

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
objectRequired
OR
objectRequired
OR
objectRequired
OR
objectRequired

Response

Successful Response
quoteobject
OR
invoiceobject
OR
credit_noteobject

Errors

400
Patch Receivables ID Request Bad Request Error
401
Patch Receivables ID Request Unauthorized Error
403
Patch Receivables ID Request Forbidden Error
404
Patch Receivables ID Request Not Found Error
409
Patch Receivables ID Request Conflict Error
422
Patch Receivables ID Request Unprocessable Entity Error
500
Patch Receivables ID Request Internal Server Error